get
https://{URL}/v1/clients/transactions/download-voucher/transaction_id
This endpoint is used to download a voucher for a specific transaction. It provides the voucher details related to a transaction ID, allowing partners or clients to retrieve and possibly present the voucher to the end customer.
A. Request Path Variable
| Field | Type | Description | Required | Example |
|---|---|---|---|---|
| transaction_id | string | uuid v4 (The unique identifier for the transaction for which the voucher is to be downloaded.) | true | “14429004” |
B. Response Body
| Field | Type | Description | Example |
|---|---|---|---|
| response_code | string | Contains the OpenAPI response code | “200062000” |
| response_message | string | Contains the value of OpenAPI response message | “Sukses” |
| data | object | Contains the metadata related to user list’s pagination | |
voucher_url | string | The URL where the voucher can be downloaded | https://{url}/v1/voucher/3bf0d6d4-4da2-473c-9a46-d2c12eda1976 |
C. Sample Response
{
"code": 2000,
"message": "Sukses",
"more_info": "",
"data": {
"voucher_url": "https://{url}/v1/voucher/3bf0d6d4-4da2-473c-9a46-d2c12eda1976"
}
}
Try It Here
To try the following endpoint, enter the example request data you want to use in the following form